Subject: AucTeX and Emacs

From: Roger Germundsson <[email-masked]>
Date: Tue, 12 Nov 1996 15:43:29 -0800

I've been using AucTeX for a number of years and I 
really like the environment. However lately I've 
changed to the Windows95 OS (for laptop) and have 
encountered some problems. Most things work, but 
running LaTeX and Dvi Viewers etc does not seem to 
work. 

I'm running AucTeX (version: 9.2y) and (NT) Emacs
(version: 19.31). When I try to run C-c C-c LaTeX
I get the following message:

        Spawning child process: Invalid argument

The corresponding line in the tex-site.el file looks 
like: 

(list "LaTeX" "latex \\nonstopmode\\input{%t}" 'TeX-run-LaTeX nil t)

I've removed the quotes around the command arguments as 
was suggested in the prototype tex-site.el file. In case I
don't remove these quotes I get the following error 
message: 

        Wrong type argument: stringp, nil

Any ideas on how to fix this would be welcome. I can 
run latex and friends in a shell within Emacs with 
no problems, but then I miss out on the really useful 
debugging mode of AucTeX. 

Thanks in advance, 

Roger Germundsson
Information Systems Lab
Stanford University